import React from "react";
export interface ImageSource {
    uri: string;
}
export interface ProgressiveImageProps {
    noCache: boolean;
    noPreview: boolean;
    noAnimation: boolean;
    imageUri?: string;
    imageSource?: ImageSource;
    previewUri?: string;
    previewSource?: ImageSource;
    previewBlurRadius: number;
    animDuration: number;
    style?: any;
}
export interface ProgressiveImageState {
    imageUri?: string;
}
export default class ProgressiveImage<P extends ProgressiveImageProps = ProgressiveImageProps> extends React.Component<P, ProgressiveImageState> {
    static defaultProps: {
        noCache: boolean;
        noPreview: boolean;
        noAnimation: boolean;
        previewBlurRadius: number;
        animDuration: number;
    };
    private readonly opacity;
    private readonly anim;
    private animFinished;
    constructor(props: P);
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<ProgressiveImageProps>): void;
    reset(): void;
    resolveImageUri(): Promise<void>;
    render(): JSX.Element;
    protected renderPreview(): JSX.Element | null;
    protected renderImage(): JSX.Element | null;
    private onAnimFinished;
    private onImageLoad;
}
